@import "../base/Variables.scss";
.search__queries {
    background-color: $white-nutri;
    padding-top: 3rem;
    @include breakpoint(mobile) {
        padding-top: 2rem;
    }
    &-text {
        @include breakpoint(mobile) {
            font-size: 11px;
        }
    }
}
.live-search {
    font-family: "GothamRounded-Book";
    &::placeholder {
        font-family: "GothamRounded-Book";
    }
}
.search__articles {
    background: $white;
    padding-bottom: 30px;

    &-item {
        border-bottom: 2px solid #e8e8e8;
        @include breakpoint(desktop) {
            border-bottom: none;
        }
        padding: 14px 0;
        a {
            text-decoration: none;
        }
        img {
            object-fit: cover;
            height: 100px;
            border-radius: 8px;
            @include breakpoint(desktop) {
                width: 140px;
            }
            @include breakpoint(mobile) {
                vertical-align: middle;
                object-fit: cover;
                height: 100px;
                max-height: 94px;
            }
        }
    }
    &-results {
        padding-top: 25px;
    }
    &-navigation {
        margin-top: 25px;
    }
    // for article tab
    &-category {
        color: $gold-nutri;
        font-size: 14px;
        margin-bottom: 5px;
        font-family: "GothamRounded-Medium";
        text-transform: uppercase;
        @include breakpoint(mobile) {
            margin-bottom: 0;
            font-size: 10px;
        }
    }
    &-text {
        color: $semi-black-nutri;
        font-size: 14px;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        visibility: visible;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        margin: 0 !important;
        font-family: "GothamRounded-Medium";
        @include breakpoint(mobile) {
            font-size: 12px;
            font-family: "GothamRounded-Medium";
        }
    }
    // for video tab
    &-video {
        &-lists {
            a {
                text-decoration: none;
            }
        }
        &-figure {
            position: relative;
            img {
                border-radius: 8px;
                height: 100px;
                &:nth-child(1) {
                    @include breakpoint(desktop) {
                        width: 140px;
                    }
                }
                @include breakpoint(mobile) {
                    vertical-align: middle;
                    object-fit: cover;
                    height: 100px;
                    max-height: 94px;
                }
            }
            .play-button {
                position: absolute;
                height: 40px;
                left: 73px;
                top: 30px;
                @include breakpoint(mobile) {
                    position: absolute;
                    height: 40px;
                    left: 55px;
                    top: 30px;
                    width: 30px;
                    height: 30px;
                }
            }
        }
        &-item {
            border-bottom: 2px solid #e8e8e8;
            @include breakpoint(desktop) {
                border-bottom: none;
            }
            padding: 14px 0px;
        }
        &-wrapper {
            display: flex;
            justify-content: space-between;
            flex-direction: column;
            padding-left: 0;
        }
    }

    // for podcasts tab
    &-podcasts {
        &-item {
            border-bottom: 2px solid #e8e8e8;
            @include breakpoint(desktop) {
                border-bottom: none;
            }
            padding: 14px 0px;
            a {
                text-decoration: none;
            }
        }
        &-description {
            display: flex;
            justify-content: space-between;
            flex-direction: column;
            padding-left: 0;
        }
        &-figure {
            position: relative;
            .play-button {
                position: absolute;
                height: 40px;
                left: 65px;
                top: 30px;
                width: 40px;
                @include breakpoint(mobile) {
                    top: 30px;
                    height: 40px;
                    left: 50px;
                    top: 30px;
                }
            }
            img {
                @include breakpoint(desktop) {
                    width: 140px;
                    height: 100px;
                    object-fit: cover;
                    border-radius: 8px;
                }
                @include breakpoint(mobile) {
                    vertical-align: middle;
                    object-fit: cover;
                    height: 100px;
                    max-height: 94px;
                }
            }
        }
    }
    // for ebook
    &-ebook {
        &-item {
            @include breakpoint(mobile) {
                margin-bottom: 10px;
            }
            a {
                text-decoration: none;
                color: $black;
                &:hover {
                    color: $black;
                    text-decoration: none;
                }
            }

            img {
                border-radius: 5px;
                @include breakpoint(desktop) {
                    object-fit: cover;
                    height: 100px;
                    width: 140px;
                }
                @include breakpoint(mobile) {
                    vertical-align: middle;
                    object-fit: cover;
                    height: 100px;
                    max-height: 94px;
                }
            }
            p {
                @include breakpoint(mobile) {
                    font-size: 14px;

                    // ellipsis
                    overflow: hidden;
                    text-overflow: ellipsis;
                    -webkit-line-clamp: 3;
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    white-space: normal;
                }
            }
        }
        &-border {
            @include breakpoint(desktop) {
                border-bottom: none;
            }
            @include breakpoint(mobile) {
                border-bottom: 2px solid #e8e8e8;
                padding: 14px 0px;
            }
        }
    }
    // timpeplay for video and podcasts
    &-timeplay {
        background-color: $older-grey-nutri;
        padding: 5px;
        font-size: 8px;
        display: inline-block;
        color: white;
        margin: 0;
        width: 45px;
        text-align: center;
    }
    // for the article that are not found the related one at all
    &-notfound {
        text-align: center;
        img {
            margin-top: 100px;
        }
        h3 {
            color: $older-grey-nutri;
            padding-top: 40px;
            padding-bottom: 150px;
            margin: 0;
        }
    }
    // for the article that are not found in related category
    &-notfound-result {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 60vh;
        h2 {
            color: $older-grey-nutri;
            font-family: "GothamRounded-Medium";
        }
    }
}

.search__faq {
    background: $white;
    padding-bottom: 30px;

    &-item {
        .faq-result {
            &__num {
                margin-right: 15px;
                line-height: 92px;
                text-align: center;
                @include breakpoint(wide) {
                    width: 230px;
                }
                @media(max-width: 414px){
                    width: 100%;
                }
                .number {
                    color: #26419e;
                    font-size: 35px;
                    font-family: "GothamRounded-Medium";
                    text-align: center;
                    display: flex;
                    justify-content: center;
                    @media(max-width: 414px) {
                        display: block;
                        width: 60px;
                    }
                   
                    text-align: center;
                }
            }
        }

        border-bottom: 2px solid #e8e8e8;
        @include breakpoint(desktop) {
            border-bottom: none;
        }
        padding: 14px 0;
        a {
            text-decoration: none;
        }
        img {
            object-fit: cover;
            height: 100px;
            border-radius: 8px;
            @include breakpoint(desktop) {
                width: 140px;
            }
            @include breakpoint(mobile) {
                vertical-align: middle;
                object-fit: cover;
                height: 100px;
                max-height: 94px;
            }
        }
    }
    &-results {
        padding-top: 25px;
    }
    &-navigation {
        margin-top: 25px;
    }
    // for article tab
    &-topic {
        color: $semi-black-nutri;
        font-size: 14px;
        font-family: "GothamRounded-Medium";
        p {
            margin: 0px;
        }
        @include breakpoint(mobile) {
            font-size: 12px;
        }
        &:hover {
            color: $semi-black-nutri;
            text-decoration: none;
        }
    }
    &-category {
        color: $gold-nutri;
        font-size: 14px;
        margin-bottom: 5px;
        font-family: "GothamRounded-Medium";
        text-transform: uppercase;

        @include breakpoint(mobile) {
            margin-bottom: 0;
            font-size: 12px;
        }
    }
    &-text {
        color: $semi-black-nutri;
        font-size: 14px;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        visibility: visible;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        margin: 0 !important;
        font-family: "GothamRounded-Book";
        &:hover {
            color: $semi-black-nutri;
            text-decoration: none;
        }
        @include breakpoint(mobile) {
            font-size: 12px;
            font-family: "GothamRounded-Book";
        }
    }
    // timpeplay for video and podcasts
    &-timeplay {
        background-color: $older-grey-nutri;
        padding: 5px;
        font-size: 8px;
        display: inline-block;
        color: white;
        margin: 0;
        width: 45px;
        text-align: center;
    }
    // for the article that are not found the related one at all
    &-notfound {
        text-align: center;
        img {
            margin-top: 100px;
        }
        h3 {
            color: $older-grey-nutri;
            padding-top: 40px;
            padding-bottom: 150px;
            margin: 0;
        }
    }
    // for the article that are not found in related category
    &-notfound-result {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 60vh;
        h2 {
            color: $older-grey-nutri;
            font-family: "GothamRounded-Medium";
        }
    }
}

.border-none {
    border-bottom: none;
}

.nav-pills {
    .nav-item {
        &:nth-child(1) {
            .nav-link {
                color: $old-grey-nutri;
                &.active {
                    color: $blue;
                    background: unset;
                    position: relative;

                    &::after {
                        content: "";
                        position: absolute;
                        left: 15px;
                        bottom: 0;
                        width: 55px;
                        margin: 0 auto;
                        height: 3px;
                        background: $blue;
                        @include breakpoint(mobile) {
                            width: 43px;
                        }
                    }
                }
            }
        }
        &:nth-child(2) {
            .nav-link {
                color: $old-grey-nutri;
                &.active {
                    color: $blue;
                    background: unset;
                    position: relative;

                    &::after {
                        content: "";
                        position: absolute;
                        left: 15px;
                        bottom: 0;
                        width: 49px;
                        margin: 0 auto;
                        height: 3px;
                        background: $blue;
                        @include breakpoint(mobile) {
                            width: 40px;
                        }
                    }
                }
            }
        }
        &:nth-child(3) {
            .nav-link {
                color: $old-grey-nutri;
                &.active {
                    color: $blue;
                    background: unset;
                    position: relative;

                    &::after {
                        content: "";
                        position: absolute;
                        left: 15px;
                        bottom: 0;
                        width: 67px;
                        margin: 0 auto;
                        height: 3px;
                        background: $blue;
                        @include breakpoint(mobile) {
                            width: 52px;
                        }
                    }
                }
            }
        }
        &:nth-child(4) {
            .nav-link {
                color: $old-grey-nutri;
                &.active {
                    color: $blue;
                    background: unset;
                    position: relative;

                    &::after {
                        content: "";
                        position: absolute;
                        left: 15px;
                        bottom: 0;
                        width: 61px;
                        margin: 0 auto;
                        height: 3px;
                        background: $blue;
                        @include breakpoint(mobile) {
                            width: 48px;
                        }
                    }
                }
            }
        }
        &:nth-child(5) {
            .nav-link {
                color: $old-grey-nutri;
                &.active {
                    color: $blue;
                    background: unset;
                    position: relative;

                    &::after {
                        content: "";
                        position: absolute;
                        left: 15px;
                        bottom: 0;
                        width: 35px;
                        margin: 0 auto;
                        height: 3px;
                        background: $blue;
                        @include breakpoint(mobile) {
                            width: 25px;
                        }
                    }
                }
            }
        }
    }
}

.nav {
    @include breakpoint(mobile) {
        flex-wrap: nowrap;
    }
}
.nav-item {
    @include breakpoint(mobile) {
        width: 20%;
        font-size: 12px;
        z-index: 1;
    }
}
